aboutsummaryrefslogtreecommitdiff
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/system76-power/system76-power.SlackBuild12
-rw-r--r--system/system76-power/system76-power.info8
2 files changed, 10 insertions, 10 deletions
diff --git a/system/system76-power/system76-power.SlackBuild b/system/system76-power/system76-power.SlackBuild
index 7ce0ed7226e22..391536fba8c48 100644
--- a/system/system76-power/system76-power.SlackBuild
+++ b/system/system76-power/system76-power.SlackBuild
@@ -44,14 +44,14 @@ if [ -z "$ARCH" ]; then
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
-
- if [ "$ARCH" = "i586" ]; then
- if rustc -Vv | grep host | grep i686 > /dev/null ; then
- ARCH=i686
- fi
- fi
fi
+case "$ARCH" in
+ x86_64) ;;
+ arm*) ;;
+ *) echo "Unsupported ARCH '$ARCH'"; exit 1 ;;
+esac
+
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
diff --git a/system/system76-power/system76-power.info b/system/system76-power/system76-power.info
index b5aa6026008cf..69de038c0a3a9 100644
--- a/system/system76-power/system76-power.info
+++ b/system/system76-power/system76-power.info
@@ -1,7 +1,9 @@
PRGNAM="system76-power"
VERSION="1.1.20"
HOMEPAGE="https://github.com/pop-os/system76-power"
-DOWNLOAD="https://github.com/pop-os/system76-power/archive/1.1.20/system76-power-1.1.20.tar.gz \
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/pop-os/system76-power/archive/1.1.20/system76-power-1.1.20.tar.gz \
https://github.com/pop-os/sysfs-class/tarball/ab63e7f638aadfaf896a02e53cf330343d331337/pop-os-sysfs-class-0.1.3-1-gab63e7f.tar.gz \
https://crates-io.s3-us-west-1.amazonaws.com/crates/ansi_term/ansi_term-0.11.0.crate \
https://crates-io.s3-us-west-1.amazonaws.com/crates/atty/atty-0.2.14.crate \
@@ -65,7 +67,7 @@ DOWNLOAD="https://github.com/pop-os/system76-power/archive/1.1.20/system76-power
https://crates-io.s3-us-west-1.amazonaws.com/crates/winapi-i686-pc-windows-gnu/winapi-i686-pc-windows-gnu-0.4.0.crate \
https://crates-io.s3-us-west-1.amazonaws.com/crates/winapi-x86_64-pc-windows-gnu/winapi-x86_64-pc-windows-gnu-0.4.0.crate \
https://crates-io.s3-us-west-1.amazonaws.com/crates/winapi/winapi-0.3.9.crate"
-MD5SUM="07ed8bc133cbaa7f4337398e05441331 \
+MD5SUM_x86_64="07ed8bc133cbaa7f4337398e05441331 \
864d84ec428600e74b322b01d0d9040c \
294a49d3c53865fa7ac5d0ce2f5d5735 \
142cb4b9a653e56e56311f0c883b8582 \
@@ -129,8 +131,6 @@ MD5SUM="07ed8bc133cbaa7f4337398e05441331 \
db96b50050277bf05a3c68534bbb9586 \
09de9d01e7331ff3da11f58be8bef0df \
0498c4a11448bfc35dc7bb2caa64c753"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
REQUIRES="system76-io-dkms"
MAINTAINER="Erich Ritz"
EMAIL="erich.public@protonmail.com"